"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cacheServiceProvider = exports.CACHE_SERVICE = exports.CacheInMemoryService = void 0;
const common_1 = require("@nestjs/common");
class CacheInMemoryService {
    constructor(cache) {
        this.cache = cache;
    }
    set(key, value, ttlInSeconds) {
        return this.cache.set(key, value, ttlInSeconds);
    }
    get(key) {
        return this.cache.get(key);
    }
    async getOrSetIfNotFound(key, getValueFunc, ttlInSeconds) {
        const cachedValue = await this.get(key);
        if (cachedValue !== undefined)
            return cachedValue;
        const value = await getValueFunc();
        await this.set(key, value, ttlInSeconds);
        return value;
    }
}
exports.CacheInMemoryService = CacheInMemoryService;
exports.CACHE_SERVICE = 'CACHE_SERVICE';
exports.cacheServiceProvider = {
    provide: exports.CACHE_SERVICE,
    useFactory: (cache) => new CacheInMemoryService(cache),
    inject: [common_1.CACHE_MANAGER],
};
//# sourceMappingURL=cacheInMemory.service.js.map