"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CarrierLogger = void 0;
class CarrierLogger {
    constructor(logger) {
        this.logger = logger;
    }
    logGetPackageStatus(requestHeaders, requestBody, responseHeaders, responseBody) {
        return this.logger.logRequestResponse('GetPackageStatus', {
            requestData: { headers: requestHeaders, body: requestBody },
            responseData: { headers: responseHeaders, body: responseBody },
        });
    }
    logGetPackageLabel(requestHeaders, requestBody, responseHeaders) {
        return this.logger.logRequestResponse('GetPackageLabel', {
            requestData: { headers: requestHeaders, body: requestBody },
            responseData: { headers: responseHeaders },
        });
    }
    logCreateNewOrder(requestHeaders, requestBody, responseHeaders, responseBody) {
        return this.logger.logRequestResponse('CreateNewOrder', {
            requestData: { headers: requestHeaders, body: requestBody },
            responseData: { headers: responseHeaders, body: responseBody },
        });
    }
}
exports.CarrierLogger = CarrierLogger;
//# sourceMappingURL=CarrierLogger.js.map